package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.OCDPtoVtaParamDAO;
import com.rjconsultores.ventaboletos.entidad.OCDPtoVtaParam;
import com.rjconsultores.ventaboletos.service.OCDPtoVtaParamService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ocdPtoVtaParamService")
public class OCDPtoVtaParamServiceImpl implements OCDPtoVtaParamService  {
	
	@Autowired
	private OCDPtoVtaParamDAO ocdPtoVtaParamDAO;

	@Override
	public List<OCDPtoVtaParam> obtenerTodos() {
		return ocdPtoVtaParamDAO.obtenerTodos();
	}

	@Override
	public OCDPtoVtaParam obtenerID(Long id) {
		return ocdPtoVtaParamDAO.obtenerID(id);
	}

	@Override
	@Transactional(readOnly = false)
	public OCDPtoVtaParam suscribir(OCDPtoVtaParam entidad) {
		return ocdPtoVtaParamDAO.suscribir(entidad);
	}

	@Override
	@Transactional(readOnly = false)
	public OCDPtoVtaParam actualizacion(OCDPtoVtaParam entidad) {
		return ocdPtoVtaParamDAO.actualizacion(entidad);
	}

	@Override
	@Transactional(readOnly = false)
	public void borrar(OCDPtoVtaParam entidad) {
		entidad.setActivo(Boolean.FALSE);
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		ocdPtoVtaParamDAO.actualizacion(entidad);
	}

}
